# GithubWebchallenge

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 7.3.1.

The github webchallenge is an app which is based on the github API, to get specific properties (id, name, author, description, number of issues, number of stars) of the recently created repositories, sorted by the number of stars.
A feature to search by the name of the repositories is also implemented.
More features can be added, like filtring by date for example.

This small app is deployed and can be checked on https://github-webchallenge.firebaseapp.com/

## Development server

Run `ng serve` for a dev server. Navigate to `http://localhost:4200/`. The app will automatically reload if you change any of the source files.

## Code scaffolding

Run `ng generate component component-name` to generate a new component. You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module`.

## Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directory. Use the `--prod` flag for a production build.

## Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via [Protractor](http://www.protractortest.org/).

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI README](https://github.com/angular/angular-cli/blob/master/README.md).
